<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: custom-panels_admin.php
| CVS Version: 1.00
| Author: WEC, based on Jquery Demo by http://webdeveloperplus.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."custom-panels_admin/infusion_db.php";
include LOCALE.LOCALESET."admin/panels.php";

// Use unique access right for infusions
if (!checkrights("CPA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."custom-panels_admin/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."custom-panels_admin/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."custom-panels_admin/locale/English.php";
}

//error_reporting(E_ALL); // For testing

add_to_head("<link rel=\"stylesheet\" href=\"css/styles.css\" type=\"text/css\" />");
add_to_head("<script type=\"text/javascript\" src=\"js/jquery-1.3.2.js\" ></script>"); // already included in PHP-Fusion 7.01.RC versions, but required for PHP-Fusion 7.00.07
add_to_head("<script type=\"text/javascript\" src=\"js/jquery.json-2.2.min.js\"></script>");
add_to_head("<script type=\"text/javascript\" src=\"js/jquery-ui-1.7.2.custom.min.js\"></script>");
add_to_head("<script type=\"text/javascript\">
//<![CDATA[
$(function(){
	$('.dragbox')
	.each(function(){
		$(this).hover(function(){
			$(this).find('h2').addClass('collapse');
		}, function(){
		$(this).find('h2').removeClass('collapse');
		})
		.find('h2').hover(function(){
			$(this).find('.configure').css('visibility', 'visible');
		}, function(){
			$(this).find('.configure').css('visibility', 'hidden');
		})
		.click(function(){
			$(this).siblings('.dragbox-content').toggle();
			updateWidgetData();
		})
		.end()
		.find('.configure').css('visibility', 'hidden');
	});
    
	$('.column').sortable({
		connectWith: '.column',
		handle: 'h2',
		cursor: 'move',
		placeholder: 'placeholder',
		forcePlaceholderSize: true,
		opacity: 0.4,
		start: function(event, ui){
			//Firefox, Safari/Chrome fire click event after drag is complete, fix for that
			if($.browser.mozilla || $.browser.safari) 
				$(ui.item).find('.dragbox-content').toggle();
		},
		stop: function(event, ui){
			ui.item.css({'top':'0','left':'0'}); //Opera fix
			if(!$.browser.mozilla && !$.browser.safari)
				updateWidgetData();
		}
	})
	.disableSelection();
});

function updateWidgetData(){
	var items=[];
	$('.column').each(function(){
		var columnId=$(this).attr('id');
		$('.dragbox', this).each(function(i){
			var collapsed=1;
			if($(this).find('.dragbox-content').css('display')==\"none\")
				collapsed=0;
			var item={
				id: $(this).attr('id'),
				collapsed: collapsed,
				order : i+1,
				column: columnId
			};
			items.push(item);
		});
	});
	var sortorder={ items: items };
			
	//Pass sortorder variable to server using ajax to save state
	$.post('update_panels.php', 'data='+$.toJSON(sortorder), function(response){
		//alert('data='+$.toJSON(sortorder)) // enable to get JSON list displayed
		if(response==\"success\")
			$(\"#console\").html('<div class=\"success\"><center>".$locale['cpa_010']."</center></div>').hide().fadeIn(500);
		setTimeout(function(){
			$('#console').fadeOut(500);
		}, 800);
	});
}
//]]>
</script>
");
?>

<?php opentable($locale['cpa_title']); ?>
	
<div id="console" ></div>
	
<?php

function display_title($title) {
	global $locale;
	return "
	<table width='100%' class='tbl-border' cellpadding='0' cellspacing='0'><tr>
	<td width='2%' class='tbl1' style='font-size:10px;font-style:italic'>".$locale['cpa_030']."</td>
	<td width='10%' class='tbl1' style='font-size:10px;font-style:italic'>".$locale['cpa_031']."</td>
	<td width='15%' class='tbl1' style='font-size:10px;font-style:italic'>".$locale['cpa_032']."</td>
	<td width='2%' class='tbl1' style='font-size:10px;font-style:italic'>".$locale['cpa_033']."</td>
	</tr></table>";
}

function display_div($panel_id, $panel_type, $panel_access, $panel_status) {
	global $locale;
	$check_panel_status = ($panel_status == 1) ? " checked='checked'" : "";
	$div = "<div id='p".$panel_id."' style='padding: 0px 0px 0px 0px; margin: 0px 0px 0px 0px'>";
	$div .= "<table cellpadding='0' cellspacing='0' class='tbl-border' width='100%'><tr>";
	$div .= "<td class='tbl2' style='width:2%; font-size:10px'>".$panel_id."</td>";
	$div .= "<td class='tbl2' style='width:10%; font-size:10px'>".($panel_type=="file"?$locale['423']:$locale['424'])."</td>";
	$div .= "<td class='tbl2' style='width:15%; font-size:10px'>".getgroupname($panel_access)."</td>";
	$div .= "<td class='tbl2' style='width:2%; font-size:10px'><input class='textbox' type='checkbox' value='1'".$check_panel_status." disabled='disabled' /></td>";
	$div .= "</tr></table>";
	$div .= "</div>";
	
	return $div;
}

for ($column['panel_side'] = 1; $column['panel_side'] <= 4; $column['panel_side']++){
	echo '<div class="column" id="column'.$column['panel_side'].'" >';
		$items = mysql_query("SELECT * FROM ".DB_PANELS." WHERE panel_side='".$column['panel_side']."' ORDER BY panel_order");
			while($widget=mysql_fetch_array($items)){
				$widget['collapsed'] = $widget['panel_status'];// collapse container if panel is disabled
				if ($widget['panel_side'] == 1) { $side = $locale['420'];}
				elseif ($widget['panel_side'] == 2) { $side = $locale['421'];}
				elseif ($widget['panel_side'] == 3) { $side = $locale['425'];}
				elseif ($widget['panel_side'] == 4) { $side = $locale['422'];}
					echo '
						<div class="dragbox" id="item'.$widget['panel_id'].'">
							<h2>'.$widget['panel_side'].". ".$side.". ".$widget['panel_name'].'</h2>
								<div class="dragbox-content" ';
									if($widget['collapsed'] == '0'){echo 'style="display:none;"';}
									echo '>'.display_title($title).'<br />'.display_div($widget['panel_id'], $widget['panel_type'], $widget['panel_access'], $widget['panel_status']).'
								</div>
						</div>';
			}				
	echo '</div>';
}

echo "<center><form action='".FUSION_SELF.$aidlink."' method='post'><input type='hidden' name='panel_order' id='panel_order' value='' /><input class='button' type='submit' value='".$locale['cpa_040']."' onclick='updateWidgetData();' /></form></center>";
echo "<hr style='clear:both;' />";
echo "<i>".$locale['cpa_020']."</i>";
?>


<hr style="clear:both;" />
<p>PHP-Fusion code based on Demo Provided By: <a target='_blank' href="http://webdeveloperplus.com" title="Web Developer Plus - Ultimate Web Development &amp; Design Resource" >Web Developer Plus</a></p>

<?php

closetable();

require_once THEMES."templates/footer.php";

/*
// Core locales Panel Settings
$locale['420'] = "Left";
$locale['421'] = "U-Ctr";
$locale['422'] = "Right";
$locale['423'] = "File";
$locale['424'] = "PHP";
$locale['425'] = "L-Ctr";
*/
?>